function _precompile_()
    ccall(:jl_generating_output, Cint, ()) == 1 || return nothing
    precompile(Tuple{typeof(maybe_evaluate_builtin), Frame, Expr, Bool})
    precompile(Tuple{typeof(getargs), Vector{Any}, Frame})
    precompile(Tuple{typeof(get_call_framecode), Vector{Any}, FrameCode, Int})
    for f in (evaluate_call!,
              evaluate_structtype,
              evaluate_abstracttype,
              evaluate_primitivetype)
        precompile(Tuple{typeof(f), Any, Frame, Expr})
    end
    precompile(Tuple{typeof(evaluate_foreigncall), Frame, Expr})
    precompile(Tuple{typeof(evaluate_methoddef), Frame, Expr})
    precompile(Tuple{typeof(lookup_global_refs!), Expr})
    precompile(Tuple{typeof(lookup_or_eval), Any, Frame, Any})
    precompile(Tuple{typeof(eval_rhs), Any, Frame, Expr})
    precompile(Tuple{typeof(step_expr!), Any, Frame, Any, Bool})
    for f in (finish!, finish_and_return!, finish_stack!, next_call!, maybe_next_call!, next_line!)
        precompile(Tuple{typeof(f), Any, Frame, Bool})
    end
    precompile(Tuple{typeof(through_methoddef_or_done!), Any, Frame})
    precompile(Tuple{typeof(split_expressions), Module, Expr})
    precompile(Tuple{typeof(split_expressions!), Vector{Tuple{Module,Expr}}, Dict{Module,Vector{Expr}}, Expr, Module, Expr})
    precompile(Tuple{typeof(prepare_thunk), Module, Expr})
    precompile(Tuple{typeof(prepare_thunk), Module, Expr, Bool})
    precompile(Tuple{typeof(prepare_framedata), FrameCode, Vector{Any}})
    precompile(Tuple{typeof(prepare_args), Any, Vector{Any}, Vector{Any}})
    precompile(Tuple{typeof(prepare_call), Any, Vector{Any}})
    precompile(Tuple{typeof(Core.kwfunc(prepare_call)), NamedTuple{(:enter_generated,),Tuple{Bool}}, typeof(prepare_call), Function, Vector{Any}})
    precompile(Tuple{typeof(Core.kwfunc(prepare_framecode)), NamedTuple{(:enter_generated,),Tuple{Bool}}, typeof(prepare_framecode), Method, Type})
    precompile(Tuple{typeof(prepare_frame), FrameCode, Vector{Any}, Core.SimpleVector})
    precompile(Tuple{typeof(extract_args), Module, Expr})
    precompile(Tuple{typeof(enter_call), Int, Int})
    precompile(Tuple{typeof(enter_call_expr), Expr})
    precompile(Tuple{typeof(copy_codeinfo), Core.CodeInfo})
    precompile(Tuple{typeof(optimize!), Core.CodeInfo, Module})
    precompile(Tuple{typeof(set_structtype_const), Module, Symbol})
    precompile(Tuple{typeof(namedtuple), Vector{Any}})
    precompile(Tuple{typeof(resolvefc), Any})
    precompile(Tuple{typeof(check_isdefined), Frame, Any})
    precompile(Tuple{typeof(find_used), Core.CodeInfo})
    precompile(Tuple{typeof(do_assignment!), Frame, Any, Any})
    precompile(Tuple{typeof(pc_expr), Frame})
end
